import { p as proxyCustomElement, H, h, d as Host } from './p-a53686b3.js';

const NavigationTabPanel = /*@__PURE__*/ proxyCustomElement(class NavigationTabPanel extends H {
    constructor() {
        super();
        this.__registerHost();
        this.tab = undefined;
        this.isVisible = false;
    }
    render() {
        return (h(Host, { key: 'c87f7d80779bf254ffeca53fcb894d2b9743fcfe' }, h("div", { key: 'c2409228cd17dc3ecd69ce6329ab83fa9d4bf2d4', id: `tabpanel-${this.tab}`, role: "tabpanel", "aria-labelledby": `tab-${this.tab}`, style: {
                display: this.isVisible ? 'initial' : 'none',
                overflowX: 'hidden',
                overflowY: 'auto'
            } }, h("slot", { key: '2009bb3458e9186158b893782ac6081846003d17' }))));
    }
    get hostElement() { return this; }
}, [6, "digi-tablist-panel", {
        "tab": [1],
        "isVisible": [4, "is-visible"]
    }]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["digi-tablist-panel"];
    components.forEach(tagName => { switch (tagName) {
        case "digi-tablist-panel":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, NavigationTabPanel);
            }
            break;
    } });
}

const DigiTablistPanel = NavigationTabPanel;
const defineCustomElement = defineCustomElement$1;

export { DigiTablistPanel, defineCustomElement };
